---
title: Retrieve Diagnostic Report
slug: retrieve-diagnostic-report
docTags: 
createdAt: 2023-09-12T11:08:32.144Z
---

Retrieve findings and interpretations of diagnostic tests from patients. Access clinical context, atomic results, images, textual and coded interpretations, and diagnostic report formats. Ideal for accessing a comprehensive view of a patient's diagnostic history.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of diagnostic reports can be done by sending a **GET** request. The request is sent to the DiagnosticReport endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/DiagnosticReport?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Diagnostic Reports. The full DiagnosticReport resource can be retrieved with the identifier of the selected DiagnosticReport from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve DiagnosticReport interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../DiagnosticReport?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR DiagnosticReport](http://hl7.org/fhir/diagnosticreport.html) resource, can be used as well.&#x20;

| **Parameters combination**               | **Type**                                 | **Required\*** | **Description**                                                                                                                      |
| ---------------------------------------- | ---------------------------------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `patient` + `category`                   | `reference` + `token`                    |                | The patient to search data for + the category name of the resource                                                                   |
| `patient` + `category` + `code`          | `reference` + `token` + `token`          |                | The patient to search data for + the category name of the resource + the code of the resource                                        |
| `patient` + `category` + `date`          | `reference` + `token` + `date`           |                | The patient to search data for + the category name of the resource + the date of creation of the resource                            |
| `patient` + `category` + `code` + `date` | `reference` + `token` + `token` + `date` |                | The patient to search data for + the category name of the resource + the code of the resource + the date of creation of the resource |

*\*At least one of the combinations has to be supported*

### Example API call

::::CodeDrawer{title="Retrieve DiagnosticReport for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-diagnosticreport-for-patient" legacyHash="IE7V2FAcd5vchzh9W23VU"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-00aade37f8304bbc85d935e5dc8e5930/fhir/4/DiagnosticReport?patient=2503&category=PHR&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_fdYaQKZZ035JLdYsPB7xpU3XhXcKbyeinueX5zGYyP0.LukePBlvfAg9koIHmPIwk4r94CLJr9oAozfNcERI-JY' \
--data ''
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "b6ec32db-d4b1-4949-b4a7-80b6d2ee37e4",
    "meta": {
        "lastUpdated": "2023-11-23T15:54:33.568+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-00aade37f8304bbc85d935e5dc8e5930/fhir/4/DiagnosticReport?patient=2503&category=PHR&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-00aade37f8304bbc85d935e5dc8e5930/fhir/4/DiagnosticReport/2496",
            "resource": {
                "resourceType": "DiagnosticReport",
                "id": "2496",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-11-23T15:51:33.330+00:00",
                    "source": "#jAGUjzrAcHepYEYf",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative with Details</b></p><p><b>id</b>: example-pgx</p><p><b>basedOn</b>: <a>ServiceRequest/example-pgx</a></p><p><b>status</b>: final</p><p><b>code</b>: Pharmacogenetics Report <span>(Details : {https://system/PGxReport code 'PGxReport' = 'PGxReport', given as 'Pharmacogenetics Report'})</span></p><p><b>subject</b>: <a>Bob Smith</a></p><p><b>effective</b>: 15/10/2016 12:34:56 PM</p><p><b>issued</b>: 20/10/2016 2:00:05 PM</p><p><b>performer</b>: <a>Organization/4829</a></p><p><b>result</b>: <a>Observation/example-phenotype</a></p><p><b>presentedForm</b>: </p></div>"
                },
                "status": "final",
                "category": [
                    {
                        "coding": [
                            {
                                "system": "http://terminology.hl7.org/CodeSystem/v2-0074",
                                "code": "PHR"
                            }
                        ]
                    }
                ],
                "code": {
                    "coding": [
                        {
                            "system": "https://system/PGxReport",
                            "code": "PGxReport",
                            "display": "Pharmacogenetics Report"
                        }
                    ],
                    "text": "Pharmacogenetics Report"
                },
                "subject": {
                    "reference": "Patient/2503",
                    "display": "Bob Smith"
                },
                "effectiveDateTime": "2016-10-15T12:34:56+11:00",
                "issued": "2016-10-20T14:00:05+11:00",
                "performer": [
                    {
                        "reference": "Organization/2452"
                    }
                ],
                "result": [
                    {
                        "reference": "Observation/2494"
                    }
                ],
                "presentedForm": [
                    {
                        "contentType": "application/pdf",
                        "language": "en",
                        "data": "cGRmSW5CYXNlNjRCaW5hcnk=",
                        "hash": "571ef9c5655840f324e679072ed62b1b95eef8a0",
                        "title": "Pharmacogenetics Report",
                        "creation": "2016-10-20T20:00:00+11:00"
                    }
                ]
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

